Subject: Re: 24.3.50; [PATCH] Enable narrowing to defun with function header comments also visible

From: Phil Sainty <[email-masked]>
Date: Sat, 04 Jan 2014 03:14:31 +1300

On 3/01/2014 21:57, Phil Sainty wrote:
> I didn't think it was wise to encourage users to modify the behaviour
> of `narrow-to-defun' itself (I certainly have programmatic uses for
> that)

Actually, that was a complete lie. The code I was thinking of uses
c-mark-function, not narrow-to-defun.

Maybe it would be completely fine to just make this a user option,
with no added function?

OTOH, me not using it obviously doesn't mean no one does, so the
more-cautious approach may still be preferable?